using System;
namespace Pecina
{
    internal class Program
    {
        static void UnosPodataka(out int n, out int l)
        {
            int[] ulaz = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            n = ulaz[0];
            l = ulaz[1];
        }

        static int NalazernjeIndeksa(int n, int l)
        {
            int[] ulaz = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            for (int i = 1; i <= n; i++)
            {
                if (ulaz[i - 1] <= l) return i;
            }
            return -1;
        }

        static void Main(string[] args)
        {
            UnosPodataka(out int n, out int l);
            Console.WriteLine(NalazernjeIndeksa(n, l));
        }
    }
}